// 定义转义html字符的函数
function htmlEscape(htmlstr) {
    // g表示全局匹配，|为或
    return htmlstr.replace(/<|>|"|&/g, (match) => {
        switch (match) {
            case "<":
                return "&lt;";
            case ">":
                return "&gt;";
            case '"':
                return "&quot;";
            case "&":
                return "&amp;";
        }
    });
}
// 定义还原HTML字符串的函数
function htmlUnEscape(str) {
    return str.replace(/&lt;|&gt;|&quot;|&amp;/g, (match) => {
        switch (match) {
            case "&lt;":
                return "<";
            case "&gt;":
                return ">";
            case "&quot;":
                return '"';
            case "&amp;":
                return "&";
        }
    });
}
module.exports = {
    htmlEscape,
    htmlUnEscape,
};
